MissingInstantiatorHandler (Jackson module: No-constructor Deserialization 2.14.0 API)

com.fasterxml.jackson.module.noctordeser

## Class MissingInstantiatorHandler

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.DeserializationProblemHandler
  - - com.fasterxml.jackson.module.noctordeser.MissingInstantiatorHandler

-     public class MissingInstantiatorHandler
      extends com.fasterxml.jackson.databind.deser.DeserializationProblemHandler

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.DeserializationProblemHandler

      `NOT_HANDLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingInstantiatorHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `handleMissingInstantiator(com.fasterxml.jackson.databind.DeserializationContext ctxt, Class<?> instClass, com.fasterxml.jackson.databind.deser.ValueInstantiator valueInst, com.fasterxml.jackson.core.JsonParser jsonParser, String msg)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.DeserializationProblemHandler

      `handleInstantiationProblem, handleMissingInstantiator, handleMissingTypeId, handleUnexpectedToken, handleUnexpectedToken, handleUnknownProperty, handleUnknownTypeId, handleWeirdKey, handleWeirdNativeValue, handleWeirdNumberValue, handleWeirdStringValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingInstantiatorHandler

          public MissingInstantiatorHandler()

  - ### Method Detail

    - #### handleMissingInstantiator

          public Object handleMissingInstantiator(com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                                  Class<?> instClass,
                                                  com.fasterxml.jackson.databind.deser.ValueInstantiator valueInst,
                                                  com.fasterxml.jackson.core.JsonParser jsonParser,
                                                  String msg)
                                           throws IOException,
                                                  com.fasterxml.jackson.core.JacksonException

      Overrides:
        `handleMissingInstantiator` in class `com.fasterxml.jackson.databind.deser.DeserializationProblemHandler`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JacksonException`

Copyright © 2022 FasterXML. All rights reserved.